package com.sunxung.factoring.entity.creditresolution;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.sunxung.factoring.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;

/**
 * <p>
 * 复议调整审批
 * </p>
 *
 * @author liutao
 * @since 2023-12-21
 */
@TableName("reconsider_adjust_approval")
public class ReconsiderAdjustApproval{

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 授信决议id
     */
    @TableField("credit_resolution_id")
    private Long creditResolutionId;

    /**
     * 审批结论
     */
    @TableField("conclusion")
    private String conclusion;

    /**
     * 审批意见
     */
    @TableField("suggestion")
    private String suggestion;

    @TableField(exist = false)
    private String taskId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Long getCreditResolutionId() {
        return creditResolutionId;
    }

    public void setCreditResolutionId(Long creditResolutionId) {
        this.creditResolutionId = creditResolutionId;
    }

    public String getConclusion() {
        return conclusion;
    }

    public void setConclusion(String conclusion) {
        this.conclusion = conclusion;
    }
    public String getSuggestion() {
        return suggestion;
    }

    public void setSuggestion(String suggestion) {
        this.suggestion = suggestion;
    }

}
